## josm 0.0.svn7995+dfsg1

=== debian/changelog ===
josm (0.0.svn7995+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop runtime dependency on ant, its bzip2 support is no longer used.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 01 Feb 2015 20:00:18 +0100

josm (0.0.svn7906+dfsg2-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Add (build) dependency on libcommons-compress-java,
    its bzip2 support is now used instead of Apache Ant.
  * Install upstream man page.
  * Also remove Windows installer from upstream tarball.
  * Refresh patches.
  * Bump minimum requires jmapviewer version to 1.05, JOSM uses the
    TMSFileCacheTileLoader class introduced in JMapViewer 1.05.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 30 Dec 2014 19:09:10 +0100

josm (0.0.svn7778+dfsg1-1~exp2) experimental; urgency=medium

  * Add alternative dependency on minimum required JRE.
  * Update Vcs-* fields to use pkg-grass instead of pkg-osm,
    and cgit instead of gitweb.
  * Disable FTBFS causing translation in d/rules instead of removing it
    in d/clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 14 Dec 2014 13:49:10 +0100

josm (0.0.svn7778+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot (7777) + next revision to include logo fix for Linux.
    Thanks to Vincent Privat for the notification about the logo fix.
  * Update watch file to use the pkg-grass JOSM Redirector.
  * Update copyright file:
    - Add comment with the GPL-2+/GPL-3+/Apache-2.0 information from LICENSE
      file
    - Correct license from GPL-3+ to GPL-2+ for JOSM
    - Update JOSM contributors list
    - Add License section for GPL-2 with Classpath exception and CDDL-1.1
    - Add Files section for Glassfish JSON source using GPL-2 with Classpath
      exception or CDDL-1.1
    - Add License section for BSD-2-Clause
    - Add Files section for openhours Javascript source using BSD-2-Clause
    - Add License section for GPL-1+
    - Add Files section for Diff source using GPL-1+
    - Correct license from GPL-3+ to BSD-3-Clause for JOSM translations.
    (LP: #1273178)
  * Strip comments from translations, but preserve copyright header.
  * Install the appstream appdata.xml file.
    Thanks to Marcus Lundblad for the patch.
    (closes: #770881)
  * Add upstream metadata.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Dec 2014 22:02:33 +0100
