## josm 0.0.svn8159+dfsg1

=== debian/changelog ===
josm (0.0.svn8159+dfsg1-1) unstable; urgency=medium

  * Update branch in gbp.conf and Vcs-Git URL.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Jun 2015 21:44:58 +0200

josm (0.0.svn8159+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Bump minimum required libmetadata-extractor-java to 2.7.2.
  * Bump minimum required jmapviewer version to 1.07.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Apr 2015 23:00:38 +0200

josm (0.0.svn8109+dfsg1-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Update my email to @debian.org address.
  * Update copyright file, changes:
    - Update copyright years
    - Indent multiline copyright
    - Add i18n/convmaps.pl, remove i18n/convwms.pl
  * Bump minimum required jmapviewer version to 1.06, JOSM uses the new
    TemplatedTMSTileSource() method introduced in JMapViewer 1.06.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Mar 2015 19:23:59 +0100
