=== debian/control ===
--- 
+++ 
@@ -3,42 +3,42 @@
 Uploaders: David Paleino <dapal@debian.org>,
            Mònica Ramírez Arceda <monica@debian.org>,
            Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: extra
-Build-Depends: ant,
+Build-Depends: debhelper (>= 9~),
+               default-jdk,
+               ant,
                ant-contrib,
                javacc,
-               debhelper (>= 9~),
                gettext,
-               default-jdk,
+               libandroid-json-org-java,
                libcommons-codec-java,
                libcommons-compress-java,
+               libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
-               libmetadata-extractor-java (>= 2.6.4),
-               libgettext-ant-tasks-java,
+               libmetadata-extractor-java (>= 2.7.2),
                liboauth-signpost-java (>= 1.2),
                libsvgsalamander-java,
                libterm-readkey-perl,
-               libandroid-json-org-java,
-               jmapviewer (>= 1.05)
+               jmapviewer (>= 1.07)
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/josm.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/josm.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/josm.git -b stretch
 Homepage: http://josm.openstreetmap.de
 
 Package: josm
 Architecture: all
 Depends: default-jre | java7-runtime,
+         libandroid-json-org-java,
          libcommons-codec-java,
          libcommons-compress-java,
          libgettext-commons-java (>= 0.9.6),
-         libmetadata-extractor-java (>= 2.6.4),
+         libmetadata-extractor-java (>= 2.7.2),
+         libsvgsalamander-java,
          liboauth-signpost-java (>= 1.2),
-         libsvgsalamander-java,
          openstreetmap-map-icons-classic,
-         libandroid-json-org-java,
-         jmapviewer (>= 1.05),
+         jmapviewer (>= 1.07),
          fonts-droid,
          ${misc:Depends}
 Recommends: josm-plugins,
