## josm 0.0.svn9329+dfsg

=== debian/changelog ===
josm (0.0.svn9329+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2016 21:27:22 +0100

josm (0.0.svn9229+dfsg-2) unstable; urgency=medium

  * Fix custom-epsg file generation due to missing JMapViewer classes.
    Empty file caused 'Unknown projection code' error at startup.
    epsg build target now also includes packaged JARs in its classpath.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Jan 2016 01:56:30 +0100

josm (0.0.svn9229+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2015 18:25:12 +0100

josm (0.0.svn9224+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Bump minimum required jmapviewer version to 1.14.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Dec 2015 15:50:52 +0100

josm (0.0.svn9060+dfsg-2) unstable; urgency=medium

  * Fix loading of translation files by using the absolute filesystem path.
    (closes: #807751)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Dec 2015 16:49:12 +0100

josm (0.0.svn9060+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 23:16:32 +0100

josm (0.0.svn9060+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop 08-josm-alternatives.patch, applied upstream.
    Refresh remaining patches.
  * Bump minimum required jmapviewer version to 1.13.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Nov 2015 09:51:39 +0100

josm (0.0.svn8969+dfsg-4) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2015 11:39:03 +0100

josm (0.0.svn8969+dfsg-4~exp1) experimental; urgency=medium

  * Use Noto instead of Droid fonts.
    (closes: #804683)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Nov 2015 21:52:28 +0100

josm (0.0.svn8969+dfsg-3) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 06 Nov 2015 10:37:38 +0100

josm (0.0.svn8969+dfsg-3~exp1) experimental; urgency=medium

  * Add commons-codec.jar to classpath again, required for signpost-core.jar.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Nov 2015 19:39:04 +0100

josm (0.0.svn8969+dfsg-2) unstable; urgency=medium

  * Drop libandroid-json-org-java & libcommons-codec-java dependencies,
    no longer required (since r6756 & r8149 respectively).
    Thanks to Vincent Privat for the report.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Oct 2015 14:17:00 +0100

josm (0.0.svn8969+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop patch applied upstream, refresh remaining patches.
  * Update josm executable to support OpenJDK 8 & 9 too.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2015 13:10:04 +0100

josm (0.0.svn8800+dfsg3-1) unstable; urgency=medium

  * Don't mark the Debian package build as a local build in MANIFEST.MF.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Oct 2015 13:41:32 +0200

josm (0.0.svn8800+dfsg3-1~exp1) experimental; urgency=medium

  * Also remove OSX support from upstream source.
  * Improve DEP3 patch headers, use HTTPS URLS in BTS patch.
  * Re-enable i18n build for core translations.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 23:12:39 +0200

josm (0.0.svn8800+dfsg2-1~exp1) experimental; urgency=medium

  * New tested snapshot.
    (closes: #785416, #785417)
  * Add dependencies for commons-logging.
  * Update copyright file.
  * Update patches, drop disabled patches, use groovy2 package.
  * Bump minimum required jmapviewer version to 1.11.
  * Drop xjc command for removed wms-cache.xsd.
  * Use embedded metadata-extractor for getFirstDirectoryOfType symbol.
  * Add missing-sources for overpass-turbo-ffs.js & opening_hours.js.
  * Use desktop file in favor of menu file per CTTE #741573.
  * Install logo per Icon Theme Specification.
  * Enable parallel builds.
  * Update watch file and SVN URLs to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 10 Oct 2015 00:00:53 +0200

josm (0.0.svn8159+dfsg1-2) unstable; urgency=medium

  * Patch REVISION file to add Build-Name property for identification of the
    Debian build. (closes: #789161)
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 21:35:05 +0200
