=== debian/control ===
--- 
+++ 
@@ -12,34 +12,31 @@
                ant-contrib,
                javacc,
                gettext,
-               libandroid-json-org-java,
-               libcommons-codec-java,
+               groovy2,
                libcommons-compress-java,
+               libcommons-logging-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
-               libmetadata-extractor-java (>= 2.7.2),
                liboauth-signpost-java (>= 1.2),
                libsvgsalamander-java,
                libterm-readkey-perl,
-               jmapviewer (>= 1.07)
+               jmapviewer (>= 1.14)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-grass/josm.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/josm.git -b stretch
-Homepage: http://josm.openstreetmap.de
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/josm.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/josm.git
+Homepage: https://josm.openstreetmap.de
 
 Package: josm
 Architecture: all
 Depends: default-jre | java7-runtime,
-         libandroid-json-org-java,
-         libcommons-codec-java,
          libcommons-compress-java,
+         libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
-         libmetadata-extractor-java (>= 2.7.2),
          libsvgsalamander-java,
          liboauth-signpost-java (>= 1.2),
          openstreetmap-map-icons-classic,
-         jmapviewer (>= 1.07),
-         fonts-droid,
+         jmapviewer (>= 1.14),
+         fonts-noto,
          ${misc:Depends}
 Recommends: josm-plugins,
             josm-l10n,
