=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 export JAVA_HOME=/usr/lib/jvm/default-java
 export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/metadata-extractor.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar:/usr/share/java/json.jar
 
-SVNREPO := http://josm.openstreetmap.de/svn/trunk
-SVNI18NREPO := http://svn.openstreetmap.org/applications/editors/josm/i18n/
+SVNREPO := https://josm.openstreetmap.de/svn/trunk
+SVNI18NREPO := https://svn.openstreetmap.org/applications/editors/josm/i18n/
 
 DATE := $(shell date +%Y%m%d)
 ifdef SVNREV
@@ -13,7 +13,7 @@
 VERSION := 0.0.0.${DATE}
 endif
 DESTDIR := ../tarballs/josm-${VERSION}
-DESTTGZ := ../tarballs/josm_${VERSION}+dfsg1.orig.tar.gz
+DESTTGZ := ../tarballs/josm_${VERSION}+dfsg.orig.tar.gz
 
 DEB_VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2)
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d- -f1)
@@ -24,26 +24,33 @@
 #DEB_INSTALL_DOCS_ALL :=
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_build:
 	# Move translation causing build failure out of the way
 	mv i18n/po/ca@valencia.po .
 
-	xjc -d src/ data_nodist/wms-cache.xsd
 	dh_auto_build -- -Ddebian.version=${DEB_VERSION} dist
 
 	mv ca@valencia.po i18n/po/
 
 override_dh_auto_install:
 	dh_auto_install
+
 	install -m 644 $(CURDIR)/dist/josm-custom.jar $(CURDIR)/debian/josm/usr/share/josm/josm-${DEB_UPSTREAM_VERSION}.jar
 	dh_link usr/share/josm/josm-${DEB_UPSTREAM_VERSION}.jar usr/share/josm/josm.jar
-	install -m 755 $(CURDIR)/debian/josm.sh $(CURDIR)/debian/josm/usr/bin/josm
-	install -m 644 $(CURDIR)/debian/icons/josm-16.xpm $(CURDIR)/debian/josm/usr/share/pixmaps/josm-16.xpm
-	install -m 644 $(CURDIR)/debian/icons/josm-32.xpm $(CURDIR)/debian/josm/usr/share/pixmaps/josm-32.xpm
-	install -m 644 $(CURDIR)/images/logo.png $(CURDIR)/debian/josm/usr/share/pixmaps/josm.png
-	install -m 644 $(CURDIR)/debian/josm.desktop $(CURDIR)/debian/josm/usr/share/applications/josm.desktop
+
+	install -m 755 $(CURDIR)/linux/tested/usr/bin/josm $(CURDIR)/debian/josm/usr/bin/josm
+
+	for size in 48x48 32x32 16x16; do \
+		install -o root -g root -d $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps ; \
+		install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/$${size}/apps/josm.png $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps/josm.png ; \
+	done
+	install -o root -g root -d $(CURDIR)/debian/josm/usr/share/icons/hicolor/scalable/apps
+	install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/scalable/apps/josm.svg $(CURDIR)/debian/josm/usr/share/icons/hicolor/scalable/apps/josm.svg
+
+	install -m 644 $(CURDIR)/linux/tested/usr/share/pixmaps/josm.png $(CURDIR)/debian/josm/usr/share/pixmaps/josm.png
+	install -m 644 $(CURDIR)/linux/tested/usr/share/applications/josm.desktop $(CURDIR)/debian/josm/usr/share/applications/josm.desktop
 	install -m 644 $(CURDIR)/linux/tested/usr/share/appdata/josm.appdata.xml $(CURDIR)/debian/josm/usr/share/appdata/josm.appdata.xml
 
 override_dh_install:
@@ -63,7 +70,7 @@
 	@echo Removing icons directory
 	rm -rf ${DESTDIR}/images/styles/standard
 	@echo Removing duplicated code
-	rm -rf ${DESTDIR}/src/com ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache
+	rm -rf ${DESTDIR}/src/com/google ${DESTDIR}/src/com/kitfox ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache/commons/compress ${DESTDIR}/src/org/apache/commons/logging
 	@echo Fetching revision metadata
 	svn info --xml -r ${SVNREV} ${SVNREPO} > ${DESTDIR}/REVISION
 	@echo Fetching internalization data
@@ -87,16 +94,20 @@
 	rm -fr ${DESTDIR}/src/org/openstreetmap/josm/data/imagery/types/*
 	@echo Removing embedded code copy of jmapviewer
 	rm -fr ${DESTDIR}/src/org/openstreetmap/gui/jmapviewer/
-	@echo Removing non-free JSON code
-	rm -fr ${DESTDIR}/src/org/json/
 	@echo Removing embedded fonts
 	rm -fr ${DESTDIR}/data/fonts/
+	@echo Removing OSX support
+	rm -fr ${DESTDIR}/macosx/
 	@echo Removing Windows installer
 	rm -fr ${DESTDIR}/windows/
 	@echo Building snapshot tarball
 	tar czf ${DESTTGZ} -C `dirname ${DESTDIR}` `basename ${DESTDIR}`
 	@echo Cleaning up
 	rm -rf ${DESTDIR}
+	@echo Moving tarball to parent directory
+	mv ${DESTTGZ} ../
+	@echo Removing tarballs directory
+	rmdir ../tarballs
 	@echo .
 	@echo To update debian/changelog type
 	@echo dch -v ${VERSION}-1
