=== debian/watch ===
version=3
opts=dversionmangle=s/0\.0\.svn([\d]+)\+dfsg.*/$1/ \
https://pkg-grass.alioth.debian.org/josmredir.php \
/josmredir\.php\?rev=(\d+)
