## josm 0.0.svn10327+dfsg

=== debian/changelog ===
josm (0.0.svn10327+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jun 2016 20:03:12 +0200

josm (0.0.svn10301+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 May 2016 21:58:08 +0200

josm (0.0.svn10168+dfsg-2) unstable; urgency=medium

  * Use groovy instead of the deprecated groovy2.
    (closes: #824189)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 May 2016 16:52:10 +0200

josm (0.0.svn10168+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 May 2016 07:39:08 +0200

josm (0.0.svn10161+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Install additional icon sizes in hicolor theme.
  * Bump Standards-Version to 3.9.8, changes:
    additional icon sizes in hicolor theme.
  * Update copyright years for translations.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Apr 2016 22:30:48 +0200

josm (0.0.svn9979+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Mar 2016 18:59:42 +0100

josm (0.0.svn9963+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Mar 2016 15:05:21 +0100

josm (0.0.svn9900+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update copyright file, changes:
    - Add license & copyright for test validation routines
    - Drop © character from copyright statements
  * Refresh patches.
  * Bump minimum required jmapviewer version to 1.15.
  * Update missing-sources for overpass-wizard.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Mar 2016 22:27:07 +0100
