=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                ant-contrib,
                javacc,
                gettext,
-               groovy2,
+               groovy,
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
@@ -20,10 +20,10 @@
                liboauth-signpost-java (>= 1.2),
                libsvgsalamander-java,
                libterm-readkey-perl,
-               jmapviewer (>= 1.14)
-Standards-Version: 3.9.6
+               jmapviewer (>= 1.15)
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/josm.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/josm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/josm.git
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
@@ -35,7 +35,7 @@
          libsvgsalamander-java,
          liboauth-signpost-java (>= 1.2),
          openstreetmap-map-icons-classic,
-         jmapviewer (>= 1.14),
+         jmapviewer (>= 1.15),
          fonts-noto,
          ${misc:Depends}
 Recommends: josm-plugins,
