=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
 	install -m 755 $(CURDIR)/linux/tested/usr/bin/josm $(CURDIR)/debian/josm/usr/bin/josm
 
-	for size in 48x48 32x32 16x16; do \
+	for size in 512x512 256x256 192x192 128x128 96x96 80x80 72x72 64x64 48x48 42x42 40x40 36x36 32x32 24x24 22x22 16x16 8x8; do \
 		install -o root -g root -d $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps ; \
 		install -o root -g root -m 644 $(CURDIR)/linux/tested/usr/share/icons/hicolor/$${size}/apps/josm.png $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps/josm.png ; \
 	done
@@ -110,6 +110,6 @@
 	rmdir ../tarballs
 	@echo .
 	@echo To update debian/changelog type
-	@echo dch -v ${VERSION}-1
+	@echo dch -v ${VERSION}+dfsg-1
 	@echo .
