## josm 0.0.svn10786+dfsg

=== debian/changelog ===
josm (0.0.svn10786+dfsg-2) unstable; urgency=medium

  * Add patch to fix two SVG files, causing exception.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 17:11:41 +0200

josm (0.0.svn10786+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
    - switch to Java 8
  * Update JDK & JRE dependencies to require at least version 1.8.
  * Switch more URLs to HTTPS.
  * Bump minimum required openstreetmap-map-icons-classic to 1:0.0.svn32805.
  * Bump minimum required jmapviewer version to 2.0.
  * Refresh patches.
  * Update copyright file, changes:
    - Drop license & copyright for FileDrop.java, removed upstream

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 12 Aug 2016 15:17:12 +0200

josm (0.0.svn10526+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Use /etc/default/josm to configure Java options.
    (LP: #287717)
  * Require at least openstreetmap-map-icons-classic 1:0.0.svn32641.
  * Drop 09-josm-default-options.patch, applied upstream.
    Refresh remaining patches.
  * Update copyright comment with updates from CONTRIBUTION file.
  * Drop unused override for license-problem-json-evil false positive.
  * Bump minimum required jmapviewer version to 1.17.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jul 2016 13:39:21 +0200
