=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 9~),
-               default-jdk,
+               default-jdk (>= 1.8) | java8-sdk,
                ant,
                ant-contrib,
-               javacc,
                gettext,
                groovy,
+               javacc,
+               jmapviewer (>= 2.0),
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                liboauth-signpost-java (>= 1.2),
                libsvgsalamander-java,
-               libterm-readkey-perl,
-               jmapviewer (>= 1.15)
+               libterm-readkey-perl
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/josm.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/josm.git
@@ -28,15 +28,15 @@
 
 Package: josm
 Architecture: all
-Depends: default-jre | java7-runtime,
+Depends: default-jre (>= 1.8) | java8-runtime,
+         fonts-noto,
+         jmapviewer (>= 2.0),
          libcommons-compress-java,
          libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
+         liboauth-signpost-java (>= 1.2),
          libsvgsalamander-java,
-         liboauth-signpost-java (>= 1.2),
-         openstreetmap-map-icons-classic,
-         jmapviewer (>= 1.15),
-         fonts-noto,
+         openstreetmap-map-icons-classic (>= 1:0.0.svn32805),
          ${misc:Depends}
 Recommends: josm-plugins,
             josm-l10n,
