=== debian/rules ===
--- 
+++ 
@@ -41,6 +41,9 @@
 	dh_link usr/share/josm/josm-${DEB_UPSTREAM_VERSION}.jar usr/share/josm/josm.jar
 
 	install -m 755 $(CURDIR)/linux/tested/usr/bin/josm $(CURDIR)/debian/josm/usr/bin/josm
+
+	install -o root -g root -d $(CURDIR)/debian/josm/etc/default
+	install -m 644 $(CURDIR)/linux/tested/etc/default/josm $(CURDIR)/debian/josm/etc/default/josm
 
 	for size in 512x512 256x256 192x192 128x128 96x96 80x80 72x72 64x64 48x48 42x42 40x40 36x36 32x32 24x24 22x22 16x16 8x8; do \
 		install -o root -g root -d $(CURDIR)/debian/josm/usr/share/icons/hicolor/$${size}/apps ; \
