## josm 0.0.svn11427+dfsg

=== debian/changelog ===
josm (0.0.svn11427+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Jan 2017 07:49:20 +0100

josm (0.0.svn11427+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Don't remove icons from JOSM source, icons from OSM SVN no longer used.
  * Drop openstreetmap-map-icons dependency, icons included in JOSM now.
  * Add license & copyright for preset icons.
  * Drop 02-elemstyles.patch, openstreetmap-map-icons package no longer used.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Jan 2017 23:52:18 +0100

josm (0.0.svn11223+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 11 Nov 2016 21:18:04 +0100

josm (0.0.svn11223+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Use the Debian BTS instead of JOSM Trac in BugReportSender class.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Nov 2016 08:01:23 +0100

josm (0.0.svn10966+dfsg-2) unstable; urgency=medium

  * Fix 'Contributors' typo in copyright file.
  * Update 06-move_data_out_of_jar.patch to also handle help-browser.css.
    (closes: #838247)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Sep 2016 16:42:27 +0200

josm (0.0.svn10966+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 12 Sep 2016 10:12:29 +0200

josm (0.0.svn10966+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Drop Debian OpenStreetMap Team from Uploaders.
  * Include epoch in default-jdk version requirement.
  * Update copyright file, changes:
    - Update copyright for src/com/drew/*
    - Add license & copyright for japi-compliance-checker.pl
  * Drop svn-r10789-fix-two-svg-files.patch, included upstream.
    Refresh remaining patches.
  * Drop unused override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 10:31:26 +0200

josm (0.0.svn10786+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Use OpenJDK 8 for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 18 Aug 2016 10:48:55 +0200

josm (0.0.svn10526+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Jul 2016 19:22:02 +0200

josm (0.0.svn10327+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf & Vcs-Git URL.
  * Require at least openstreetmap-map-icons-classic 1:0.0.svn32149.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 19 Jun 2016 21:36:32 +0200
