=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: David Paleino <dapal@debian.org>,
            Mònica Ramírez Arceda <monica@debian.org>,
-           Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 9~),
-               default-jdk (>= 1.8) | java8-sdk,
+               default-jdk (>= 2:1.8) | java8-sdk,
                ant,
                ant-contrib,
                gettext,
@@ -23,12 +22,12 @@
                libterm-readkey-perl
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/josm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/josm.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/josm.git -b jessie-backports
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
 Architecture: all
-Depends: default-jre (>= 1.8) | java8-runtime,
+Depends: default-jre (>= 2:1.8) | java8-runtime,
          fonts-noto,
          jmapviewer (>= 2.0),
          libcommons-compress-java,
@@ -36,7 +35,6 @@
          libgettext-commons-java (>= 0.9.6),
          liboauth-signpost-java (>= 1.2),
          libsvgsalamander-java,
-         openstreetmap-map-icons-classic (>= 1:0.0.svn32805),
          ${misc:Depends}
 Recommends: josm-plugins,
             josm-l10n,
