=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/metadata-extractor.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar:/usr/share/java/json.jar
+
+# Use OpenJDK 8 for jessie-backports
+export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 SVNREPO := https://josm.openstreetmap.de/svn/trunk
 SVNI18NREPO := https://svn.openstreetmap.org/applications/editors/josm/i18n/
@@ -70,8 +73,6 @@
 	test -d ../tarballs/. || mkdir -p ../tarballs
 	@echo Downloading josm from ${SVNREPO}
 	svn export -r ${SVNREV} ${SVNREPO} ${DESTDIR}
-	@echo Removing icons directory
-	rm -rf ${DESTDIR}/images/styles/standard
 	@echo Removing duplicated code
 	rm -rf ${DESTDIR}/src/com/google ${DESTDIR}/src/com/kitfox ${DESTDIR}/src/oauth ${DESTDIR}/src/org/apache/commons/compress ${DESTDIR}/src/org/apache/commons/logging
 	@echo Fetching revision metadata
