## josm 0.0.svn12545+dfsg

=== debian/changelog ===
josm (0.0.svn12545+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Drop AppSteam patch, included upstream. Refresh other patches.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Aug 2017 11:58:50 +0200

josm (0.0.svn12542+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Drop license & copyright for DNSNameFix.java, removed upstream.
  * Bump minimum required jmapviewer version to 2.3.
  * Add upstream patch to fix AppSteam metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 30 Jul 2017 22:58:36 +0200

josm (0.0.svn12450+dfsg-1) unstable; urgency=medium

  * New hotfix tested snapshot.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Jul 2017 07:46:45 +0200

josm (0.0.svn12443+dfsg-1) unstable; urgency=medium

  * New tested snapshot.
  * Refresh patches.
  * Add openjfx to (build) dependencies for audio mapping support.
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 11:46:14 +0200

josm (0.0.svn12275+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 11:33:51 +0200

josm (0.0.svn12275+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 May 2017 17:12:45 +0200

josm (0.0.svn12271+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Add DNSNameFix.java to copyright file.
  * Refresh patches.
  * Bump minimum required jmapviewer version to 2.2.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 May 2017 07:12:30 +0200

josm (0.0.svn12039+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop webkit-image-* packages from Recommends.
    Yahoo imagery is no longer available (since 13 September 2011).
  * Bump minimum required jmapviewer version to 2.1.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 03 May 2017 07:39:18 +0200

josm (0.0.svn11826+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Drop josm-plugins from Recommends, package will be removed.
    See also: https://josm.openstreetmap.de/ticket/7483
  * Add josm-plugins to Conflicts, as it Breaks newer josm revisions.
  * Add proj-data to dependencies for grid shift files.
  * Update copyright for japicc.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Apr 2017 08:04:55 +0200

josm (0.0.svn11639+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Update public-domain i18n scripts in copyright file.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 28 Feb 2017 07:56:18 +0100

josm (0.0.svn11526+dfsg-1~exp1) experimental; urgency=medium

  * New hotfix tested snapshot.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Feb 2017 19:38:39 +0100

josm (0.0.svn11514+dfsg-1~exp1) experimental; urgency=medium

  * New tested snapshot.
  * Add license & copyright for OSM test data.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2017 08:02:44 +0100
