=== debian/control ===
--- 
+++ 
@@ -12,33 +12,35 @@
                gettext,
                groovy,
                javacc,
-               jmapviewer (>= 2.0),
+               jmapviewer (>= 2.3),
                libcommons-compress-java,
                libcommons-logging-java,
                libgettext-ant-tasks-java,
                libgettext-commons-java (>= 0.9.6),
                liboauth-signpost-java (>= 1.2),
                libsvgsalamander-java,
-               libterm-readkey-perl
-Standards-Version: 3.9.8
+               libterm-readkey-perl,
+               openjfx
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/josm.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/josm.git -b jessie-backports
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/josm.git
 Homepage: https://josm.openstreetmap.de
 
 Package: josm
 Architecture: all
 Depends: default-jre (>= 2:1.8) | java8-runtime,
          fonts-noto,
-         jmapviewer (>= 2.0),
+         jmapviewer (>= 2.3),
          libcommons-compress-java,
          libcommons-logging-java,
          libgettext-commons-java (>= 0.9.6),
          liboauth-signpost-java (>= 1.2),
          libsvgsalamander-java,
+         openjfx,
+         proj-data,
          ${misc:Depends}
-Recommends: josm-plugins,
-            josm-l10n,
-            webkit-image-gtk | webkit-image-qt
+Recommends: josm-l10n
+Conflicts: josm-plugins
 Description: Editor for OpenStreetMap
  JOSM is an editor for OpenStreetMap (OSM) written in Java.
  The current version supports stand alone GPX tracks, GPX track data
