=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 export JAVA_HOME=/usr/lib/jvm/default-java
 export CLASSPATH=/usr/share/java/gettext-commons.jar:/usr/share/java/metadata-extractor.jar:/usr/share/java/signpost-core.jar:/usr/share/java/jmapviewer.jar:/usr/share/java/json.jar
-
-# Use OpenJDK 8 for jessie-backports
-export JAVA_HOME=/usr/lib/jvm/java-8-openjdk-$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 SVNREPO := https://josm.openstreetmap.de/svn/trunk
 SVNI18NREPO := https://svn.openstreetmap.org/applications/editors/josm/i18n/
@@ -18,7 +15,8 @@
 DESTDIR := ../tarballs/josm-${VERSION}
 DESTTGZ := ../tarballs/josm_${VERSION}+dfsg.orig.tar.gz
 
-DEB_VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2)
+include /usr/share/dpkg/pkg-info.mk
+
 DEB_UPSTREAM_VERSION := $(shell echo $(DEB_VERSION) | cut -d- -f1)
 
 IMGSTYLES_DIR := $(CURDIR)/debian/josm/usr/share/josm/images/styles
@@ -57,7 +55,7 @@
 
 	install -m 644 $(CURDIR)/linux/tested/usr/share/pixmaps/josm.png $(CURDIR)/debian/josm/usr/share/pixmaps/josm.png
 	install -m 644 $(CURDIR)/linux/tested/usr/share/applications/josm.desktop $(CURDIR)/debian/josm/usr/share/applications/josm.desktop
-	install -m 644 $(CURDIR)/linux/tested/usr/share/appdata/josm.appdata.xml $(CURDIR)/debian/josm/usr/share/appdata/josm.appdata.xml
+	install -m 644 $(CURDIR)/linux/tested/usr/share/metainfo/josm.appdata.xml $(CURDIR)/debian/josm/usr/share/metainfo/josm.appdata.xml
 
 override_dh_install:
 	dh_install
